:root{
    --circle-size: 700px
}
body{
    width: 100vw;
    height: 100vh;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    
}
#login-img{
    width: 35em;
    height: auto;
}

.circle{
    
    position: absolute;
    z-index: -1;
    width: var(--circle-size);
    height: var(--circle-size);
    border-radius: 100%;
  
}

.circle:nth-child(1){
    left: -10%;
    top: 30%;
    background-color: #d3cfff;
}
.circle:nth-child(2){
    scale: 0.6;
    left: 40%;
    top: -50%;
    background-color: #e4e1ff;
}


.heading-form{
    display: flex;
    width: 100%;
    height: 3rem;
    gap: 10px;
    justify-content: center;
    align-items: center;
}
.heading-form img{
    height: 100%;
    width: auto;
}
.heading-form h2{
    font-size: 1.5rem;
}


container{
    height: 95%;
    width: 97%;
    justify-self: center;
    display: grid;
    grid-template-columns: 50% 50%;
    border-radius: 1em;
}

container > div{
    display: flex;
    justify-content: center;
    align-items: center;
}
container:nth-child(2) form{
    background-color: #d3cfffe1;
}
container form{
    display: flex;
    flex-direction: column;
    padding: 50px 50px;
    box-shadow: 5px 5px 20px rgba(206, 206, 206, 0.77);
    background-color: white;
    border-radius: 15px;
}
container h1{
    text-align:  center;
    font-weight: 600;
    font-size: 2.5em;
}

form div{
    
    position: relative;
    font-size: 1.5rem;
    margin: 15px 0;
}
form button{
    font-size: larger;
    font-weight: 600;
    margin-top: 5%;
    border: none;
    padding: 10px;
    background-color: white;
    border-radius: 5px;
    border: 2px solid #94a1ff;
    color: #94a1ff;
    transition: 0.5s;
}
form button:hover{
    border: 2px solid white;
    color: white;
    background-color: #94a1ff;
    transition: 0.5s;
}


.input{
    display: flex;
    align-items: center;
}
.input i{
    font-size: 20px;
    margin-right: 5px;
}
.input input{
    transition: 0.5s;
    border: 2px solid #d3cfff;
    border-radius: 10px;
    height: 40px;
    min-width: 20vw;
    padding: 0 10px;
}
.input input:focus{
    transition: 0.5s;
    outline: none;
    border: 2px solid #94a1ff;
}

.input label {
    position: absolute;
    left: 3vw;
    top: 20%;
    font-family: 'poppins';
    font-weight: 1;
    letter-spacing: 1px;
    transition: 0.5s;
    color: #5d5d5d;
}
.input input:focus ~ label, .input input:valid ~ label{
    top: -20%;
    font-size: small;
    background-color: white;
    transition: 0.5s;
    color: #000000;
    padding: 0 5px;
}
.radio-role{
    position: relative;
    font-size: larger;
    scale: 0.7;
    display: grid;
    grid-template-columns: 50% 50%;
    text-align: center;
    background: #94a1ff;
    color: white;
    border-radius: 10px; 
    /* gap: 5px;
    width: 100%;
    justify-content: center;
    align-items: center; */
    
}
.radio-role input{
    display: none;

}
.radio-role label{
    height: 90%;
    width: 96%;
    cursor: pointer;
    padding: 10px 0;
    transition: 0.5s;
    margin-top: 2px;
}


.radio-role input:checked ~ label{
    background: #f2f2f2;
    border-radius: 8px; 
    color: #94a1ff;
}

#password-show{
    position: absolute;
    cursor: pointer;
    top: 15%;
    right: 2%;
    transition: 0.5s cubic-bezier(0.075, 0.82, 0.165, 1);
}
#password-show:hover{
    color: #d7d2ff;
}
.error{
    font-family: 'Quicksand';
    color: red;
    font-weight: 600;
    font-size: 0.8em;
}